can i really install kde-4.2.0 /4.3.0 in suse 11

i read the notes before downloading the livecd iso and saw repository
for kde-4.2.0 and 4.3
i was hoping this cd will have 4.1.2
how do i go about upgrading to kde-4.2 or 3

by the way i would like to install kde-3.5.10 if possible.
any suggestions for me.?
thanks in advance.:slight_smile:


ramaswamyps

ramaswamyps’s Profile: http://forums.opensuse.org/member.php?userid=16339
View this thread: http://forums.opensuse.org/showthread.php?t=400904

ramaswamyps;1902749 Wrote:
> i read the notes before downloading the livecd iso and saw repository
> for kde-4.2.0 and 4.3
> i was hoping this cd will have 4.1.2
> how do i go about upgrading to kde-4.2 or 3
>
> by the way i would like to install kde-3.5.10 if possible.
> any suggestions for me.?
> thanks in advance.:slight_smile:

Hi, I cannot remember what version KDE is on 11, but to upgrade to 4.2
simply add the following repositories

‘Index of
/repositories/KDE:/KDE4:/Community/openSUSE_11.0_KDE4_UNSTABLE_Desktop’
(http://tinyurl.com/62mvwm)

‘Index of /repositories/KDE:/KDE4:/UNSTABLE:/Desktop/openSUSE_11.0’
(http://tinyurl.com/6asjod)

‘Index of /repositories/KDE:/KDE4:/UNSTABLE:/Extra-Apps/openSUSE_11.0’
(http://tinyurl.com/57d8rn)

To add 3.5 you will need the following repositories

‘Index of /repositories/KDE:/KDE3/openSUSE_11.0’
(http://download.opensuse.org/repositories/KDE:/KDE3/openSUSE_11.0/)

‘Index of /repositories/KDE:/Community/openSUSE_11.0’
(http://tinyurl.com/6xx5xy)

‘Index of /repositories/KDE:/Backports/openSUSE_11.0’
(http://tinyurl.com/5fajde)

Just open up Yast, go to software repositories, and add them in there.
Then do an update, and it will update your KDE 4 to 4.2. I think then
go into software Mangerment, and then add 3.5 in there.


AlienHealer

AlienHealer’s Profile: http://forums.opensuse.org/member.php?userid=596
View this thread: http://forums.opensuse.org/showthread.php?t=400904

The advice given above is fine. Just be aware that 4.2 unstable is just
that, unstable. Though I am using it now and it’s pretty darn good. The
Copy function in Dolphin is not working. But it’s working much quicker
and Looks better now too.

Upgrading can be tricky and you will need to use the update all
unconditionally function in software management and may need to remove
power devil and one or two other packages.

As for kde3. You might want to be careful adding too many repo’s,
Backports in particular may conflict with the likes of Packman. It’s
fine if you really know what you are doing.!!


Box: Linux 2.6.25.18-0.2 x86_64 | OS 11.0 | (KDE4.1.81) “1.1” | M2N4-SLI
| AMD 64 X2 5200+ | nVidia 8500GT | 2GB RAM
Lap: OS 11.0 | Celeron 550 | (KDE 4.1.81 “release 1.1” | Intel 965 GM |
Lenovo R61e | 1GB RAM

caf4926’s Profile: http://forums.opensuse.org/member.php?userid=204
View this thread: http://forums.opensuse.org/showthread.php?t=400904

thanks to both of you for the advices.
i already use 4.1.3 kde in gentoo .
i will give it a try in 4.2.0/4.3.0 also
i like kde-3.5.10 the best of kde.


ramaswamyps

ramaswamyps’s Profile: http://forums.opensuse.org/member.php?userid=16339
View this thread: http://forums.opensuse.org/showthread.php?t=400904

i cannot add the repository mentioned above
it is asking for url
can some one tell me exactly what i should enter in the
yast repository manager?


ramaswamyps

ramaswamyps’s Profile: http://forums.opensuse.org/member.php?userid=16339
View this thread: http://forums.opensuse.org/showthread.php?t=400904

are you copying and pasting the link, if so it is missing out a lot of
the link, you will need to right click on them and select copy link
location.


AlienHealer

AlienHealer’s Profile: http://forums.opensuse.org/member.php?userid=596
View this thread: http://forums.opensuse.org/showthread.php?t=400904

yes:)
i got the hang of it now.
thank you


ramaswamyps

ramaswamyps’s Profile: http://forums.opensuse.org/member.php?userid=16339
View this thread: http://forums.opensuse.org/showthread.php?t=400904

yes i could install kde-3.5.10 and kde4.1.80
they both are not full kde packages
customised suse kde packages.
kde-4.2 is ok somewhat.
thanks guys:)


ramaswamyps

ramaswamyps’s Profile: http://forums.opensuse.org/member.php?userid=16339
View this thread: http://forums.opensuse.org/showthread.php?t=400904

how do i mark this thread solved??


ramaswamyps

ramaswamyps’s Profile: http://forums.opensuse.org/member.php?userid=16339
View this thread: http://forums.opensuse.org/showthread.php?t=400904

I would really like to install the very latest KDE 4.x (4.3 maybe) in a
VirtualBox VM; what would be the best distro to install for this
purpose? IE, all I want is the most bleeding edge KDE 4 I can have, so
that I can see as close as possible to what the KDE devs are running,
whether it be openSUSE, Kubuntu, or Slackware (hee, hee). Any
suggestions?


openSUSE 11.0; Kernel 2.6.25-pae; Intel Core 2 Quad Q6600 - 2.4Ghz; 6GB
DDR2 RAM; M-Audio Delta 44 Audio Interface; 640GB SATA Disk.

zak89’s Profile: http://forums.opensuse.org/member.php?userid=10788
View this thread: http://forums.opensuse.org/showthread.php?t=400904

There is due to be a change in the repo’s with the coming release of OS
11.1
Which will trigger a move around in the kde4 repo’s
kde4 unstable should move to being 4.3 alpha

you can of course get the source from kde itself

if you are familiar with suse, use that.


Box: Linux 2.6.25.18-0.2 x86_64 | OS 11.0 | (KDE4.1.81) “1.1” | M2N4-SLI
| AMD 64 X2 5200+ | nVidia 8500GT | 2GB RAM
Lap: OS 11.0 | Celeron 550 | (KDE 4.1.81 “release 1.1” | Intel 965 GM |
Lenovo R61e | 1GB RAM

caf4926’s Profile: http://forums.opensuse.org/member.php?userid=204
View this thread: http://forums.opensuse.org/showthread.php?t=400904

zak89;1904079 Wrote:
> I would really like to install the very latest KDE 4.x (4.3 maybe) in a
> VirtualBox VM; what would be the best distro to install for this
> purpose? IE, all I want is the most bleeding edge KDE 4 I can have, so
> that I can see as close as possible to what the KDE devs are running,
> whether it be openSUSE, Kubuntu, or Slackware (hee, hee). Any
> suggestions?

kde-4.3 is not yet out.
from kde.org i downloaded oneclick install file for suse-11.0 to
install kde-2 which is kde-4.1.80
it works ok.
saving settings of desktop fails sometimes.

awaiting kde4.3 eagerly.
4.2 has more panel settings available.


ramaswamyps

ramaswamyps’s Profile: http://forums.opensuse.org/member.php?userid=16339
View this thread: http://forums.opensuse.org/showthread.php?t=400904